Index: trunk/MagicSoft/Mars/Changelog
===================================================================
--- trunk/MagicSoft/Mars/Changelog	(revision 8533)
+++ trunk/MagicSoft/Mars/Changelog	(revision 8534)
@@ -18,4 +18,15 @@
 
                                                  -*-*- END OF LINE -*-*-
+
+ 2007/05/22 Daniela Dorner
+
+   * datacenter/scripts/sourcefile:
+     - adapted the function finish to avoid removing of non existing 
+       files in case the variable lockfile is empty 
+
+   * steps.rc:
+     - fixed typo
+
+
 
  2007/05/21 Daniela Dorner
Index: trunk/MagicSoft/Mars/datacenter/scripts/sourcefile
===================================================================
--- trunk/MagicSoft/Mars/datacenter/scripts/sourcefile	(revision 8533)
+++ trunk/MagicSoft/Mars/datacenter/scripts/sourcefile	(revision 8534)
@@ -146,5 +146,5 @@
       rm -v $todofile
    fi
-   if ls $lockfile >/dev/null 2>&1
+   if ! [ "$lockfile" = "" ] && ls $lockfile >/dev/null 2>&1
    then 
       rm -v $lockfile
Index: trunk/MagicSoft/Mars/steps.rc
===================================================================
--- trunk/MagicSoft/Mars/steps.rc	(revision 8533)
+++ trunk/MagicSoft/Mars/steps.rc	(revision 8534)
@@ -255,5 +255,5 @@
 #MCRunProcessStatus.fCameraFileAvail: 
 MCRunProcessStatus.fCameraFileAvail.Default: no
-MCRunProcessStatus.fCameraFileAvail.Needs: MCRunProcessStatus.fReflectorFileFileAvail
+MCRunProcessStatus.fCameraFileAvail.Needs: MCRunProcessStatus.fReflectorFileAvail
 #MCRunProcessStatus.fCameraFileAvail.Influences: 
 MCRunProcessStatus.fCameraFileAvail.Reset: yes 
